## griffith-0.17-3.src.tar.gz

=== po/Makefile ===
# $Id$
INSTALL ?= install

PYFILES = ../griffith $(wildcard ../lib/*.py ../lib/db/*.py ../lib/plugins/movie/*.py ../lib/plugins/export/*.py ../lib/plugins/imp/*.py)
GLADEFILES = $(wildcard ../glade/*.ui)
POFILES = $(wildcard *.po)

help:
	@echo "USAGE:"
	@echo "make update - updates messages.pot and .po files"
	@echo "make dist   - creates .mo files in ../i18n dir"
	@echo "make pl.po  - updates pl.po file OR creates new one"
	@echo "              (replace 'pl' with your language code)"

messages.pot: $(GLADEFILES)
	xgettext -k_ -kN_ --language=Python -o messages.pot $(PYFILES) --from-code=utf-8
	xgettext -k_ -kN_ --language=GLADE -j -o messages.pot $(GLADEFILES) --from-code=utf-8

%.po: messages.pot
	@if test -f $@; then \
		echo -n "Updating '$*' language ";\
		msgmerge -U $@ messages.pot;\
	else \
		msginit -l $*.UTF8 -o $@; \
	fi

%.mo: %.po
	for pofile in $(patsubst ../i18n/%/LC_MESSAGES/griffith.mo,%.po,$@); do \
		${INSTALL} -m 755 -d $(subst griffith.mo,,$@);\
		msgconv -t UTF-8 $${pofile} -o $${pofile}_utf8;\
		msgfmt $${pofile}_utf8 -o $@;\
		rm $${pofile}_utf8;\
	done

update: $(POFILES)
dist: $(POFILES:%.po=../i18n/%/LC_MESSAGES/griffith.mo)

clean:
	$(RM) $(POFILES:%.po=../i18n/%/LC_MESSAGES/griffith.mo)
	$(RM) messages.pot
	$(RM) *~

.PHONY: update dist

=== PKGBUILD ===
# Maintainer: Balló György <ballogyor+arch at gmail dot com>
# Contributor: Strit <danjohansen at strits dot dk>
# Contributor: ValHue <vhuelamo at gmail dot com>
# Contributor: Jaroslav Lichtblau <dragonlord at aur dot archlinux dot org>
# Contributor: Daniel J Griffiths <ghost1227 at archlinux dot us>
# Contributor: Ronald van Haren <ronald at archlinux dot org>
# Contributor: Alessio 'mOLOk' Bolognino <themolok at gmail dot com>
# Contributor: Pawel Rusinek <p.rusinek at gmail dot com>
# Contributor: Jashua Gentry <https://gitlab.com/pixel293>
# Contributor: John Cheetham <https://gitlab.com/johncheetham>

pkgname=griffith
pkgver=0.17
pkgrel=3
pkgdesc='Movie collection manager application'
arch=('any')
url='https://gitlab.com/Strit/griffith'
license=('GPL2')
depends=('gtkspell3' 'python-chardet' 'python-gobject' 'python-pillow' 'python-reportlab'
         'python-sqlalchemy1.3')
source=("https://gitlab.com/Strit/$pkgname/-/archive/$pkgver/$pkgname-$pkgver.tar.gz"
        '0001-Add-missing-Gtk-version-declaration.patch'
        '0001-Add-AppStream-metadata-file.patch')
sha256sums=('e7d49717adc934801a0d810525f2b203b20672c18b4da889018121ef9019bc68'
            '896aae0fc40de117f478e6b1bbc037178b885ca8ed4f649b5d4bc2258de68205'
            '938dd09f8855d1731927cf265916b46f623a20d5aa2772949d58789be01ddb74')

prepare() {
  cd $pkgname-$pkgver
  patch -Np1 -i ../0001-Add-missing-Gtk-version-declaration.patch
  patch -Np1 -i ../0001-Add-AppStream-metadata-file.patch
}

package() {
  cd $pkgname-$pkgver
  make DESTDIR="$pkgdir" install
}
